package com.usoftchina.bi.server.model.vo.configVo;

import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * @Author chenwei
 * @Date 2019-05-17
 */
public class BatchUserPowerInfo implements Serializable {

    /**
     * 数据库权限记录id,插入语句使用
     */
    @ApiModelProperty(value = "数据库权限记录id,前端不用传")
    private int id;

    @ApiModelProperty(value = "多个用户ID或用户组ID,中间用逗号隔开")
    private int bizId;

    @ApiModelProperty(value = "标识用户/用户组；0:用户组,1:用户")
    private int type;

    @ApiModelProperty(value = "报表ID")
    private String dashboardIds;

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public int getBizId() {
        return bizId;
    }

    public void setBizId(int bizId) {
        this.bizId = bizId;
    }

    public String getDashboardIds() {
        return dashboardIds;
    }

    public void setDashboardIds(String dashboardIds) {
        this.dashboardIds = dashboardIds;
    }

    public int getType() {
        return type;
    }

    public void setType(int type) {
        this.type = type;
    }
}
